<?php

##############################################################################
# news_generator.php3                                                        #
#                                                                            #
# Copyright ViralGames SARL 2000                                             #
##############################################################################

include("../config.php3");
include($BIB."bib_generic.php3");
include($BIB."bib_news.php3");
include($BIB."bib_mailing.php3");

$REPORTER_EMAIL = $ROOT_EMAIL;
$JOURNALISTE = $ADMIN_URL."news_generator.php3";
$subject = "Statistiques sur ".$GAME_NAME." ; numero de log : ";
$NB_MATCHS_TO_SHOW = 20;
?>
<html>
<head></head>
<link rel="stylesheet" href="admin.css">
<body rightmargin=0>
<div align=center class=trTitle>Génération de statistiques</div>
<br>
<?php

# 1er rappel du script
if ($rappel==1)
{ 
    $j = 0;
    $form_action = $JOURNALISTE;
    echo "<form name=conf method=post action=$form_action >";
    echo "<input type=hidden name=rappel value=2>";
    echo "<div class=univers>Vous voulez générer les statistiques des matchs suivants :</div><br>";
    for ($i=0;$i<$NB_MATCHS_TO_SHOW;$i++)
	{
		$nom = "game".$i;
		if ($$nom!="")
		{
		    $query = "SELECT * FROM Matchs WHERE MatchId=".$$nom;
		    $Tmp = db_fetch_array(main_db_query($query));
		    echo "<input type=hidden name=id$j value=".$$nom." >";
		    echo "<b>".$Tmp['Team1']." VS ".$Tmp['Team2']." du ".$Tmp['Date']."</b><br>";
		    $j++;
		}
	}

	echo "<input type=hidden name=nb_matchs value=$j>";
	echo "<div class=univers><br>Choisissez <b>Nouvelles statistiques</b> pour inserer un nouveau log des scores ".
		" ( ce qui affichera dans le top10 les evolutions de score depuis le dernier log)<br>ou<br> ".
		" <b>Ecraser dernières statistiques</b> pour remplacer le dernier log par un nouveau ".
		"( ce qui affichera dans le top10 les evolutions de score depuis l'avant dernier log)</div><br><br>";
 	echo "<input type=radio name=new_last value=n checked>Nouvelles statistiques ".
		"<input type=radio name=new_last value=l>Ecraser dernières statistiques<br>";

    echo "<br><input type=hidden name=yesno value=o>";
    echo "<input type=submit></form><br>";

}

if ($yesno=="o")
{
    $log = db_fetch_array(main_db_query("SELECT MAX(NewsId) AS max FROM ScoresLog")); 
    if (!$log) 
		$newsid = 1;
    elseif ($new_last=="n") # nouv gazette
		$newsid = $log[max] + 1;
    else
		$newsid = $log[max];

    $subject .= $newsid;
    $stat = "";
    for ($k=0;$k<$nb_matchs;$k++)
	{
		$n = "id".$k;
		stat_match($$n);
		$query = "SELECT Team1,Team2,Date FROM Matchs WHERE MatchId=".$$n." ORDER BY Date DESC";
		$tmp = db_fetch_array(main_db_query($query));
		$stat .= "\n<br><b>$tmp[Team1] VS $tmp[Team2]</b><br>".
		    "Nombre de paris : $nb[NUMBER] <br>".
			"Nombre de paris gagnants : $nb_gagnant <br>".
			    "Nombre de paris exacts : $nb_exact <br>";
		$stats_matchs[$k] = array( "Match" => "$tmp[Team1] - $tmp[Team2]",
					   "Nbpari" => $nb[NUMBER],
					   "Nbgagnant" => $nb_gagnant,
					   "Nbexact" => $nb_exact,
					   "Date" => substr($tmp[Date],0,10) ); # juste la date
    }

    # envoie du mail avec ttes les infos utiles pour le root qui filtre pr le journaliste
    $message = $stat."\n<br>".top5($new_last=="n");
    generic_mail($REPORTER_EMAIL,
		 $subject,$message,
		 "From: $FROM_FIELD\n" . 
		 "Reply-To: $REPLY_TO_FIELD\n" . 
		 "X-Mailer: PHP/" . phpversion()."\n".
		 "Content-Type: text/html; charset=iso-8859-1");

    #affichage formaté a l'ecran (sauver le source pour y integrer le texte du journaliste par la suite) -> obsolete
    presentation_auto($stats_matchs, $bests, $worsts);

    #generation du fichier de stats
    gen_fic_stats($stats_matchs, $bests, $worsts);

    #mise a jour de scoresLog
    $date = date("Y-m-d", my_local_time()); 
#    $m = db_fetch_array(main_db_query("SELECT MAX(NewsId) AS newsid FROM ScoresLog"));
    maj_scoresLog($new_last=="n",$date,$newsid);
#    else maj_scoresLog(false,$date,$m[newsid]);
}

if (($rappel=="")||($yesno=="n"))
{
	$form_action = $JOURNALISTE;
	$form_name = "journaliste";
?>

Cochez les cases correspondant aux matchs dont vous voulez générer les statistiques<br> <br> 
<form method="post" action="<?php echo $form_action ?>" name="main">
    <input type="hidden" name="<?php echo $form_name ?>" value="x">
	<input type="hidden" name="rappel" value="1">
<?php
#selection des $NB_MATCHS_TO_SHOW derniers matchs joués
$rows = main_db_query("SELECT * FROM Matchs WHERE Result LIKE '%-%' ORDER BY Date DESC LIMIT 0,".$NB_MATCHS_TO_SHOW);
$i = 0;
while ($match = db_fetch_array($rows))
{
    echo "<input type=checkbox name=game$i value=$match[MatchId] > $match[Team1] / $match[Team2] du $match[Date]<br>";
    $i++;
}
?>
    <br><input type=submit></form><br>
<?php
} 
?>
</body>
</html>
